\chapter{Concept}

derive a (formal) model of the solution (follows directly from clarified research question)

critically review literature: what can be used? 

you may start with a methodology / approach subsection where you outline how you proceeded (best practices employed, scrum, requirements engineering books, ...)

based on the previous chapter: develop a concept for the solution of the problem
this part must \textbf{NOT} contain any implementation details! 


Possible content includes
Software Architecture Concept (Client-Server, Web Application, FactDAG)
Process/ Data Model or Block chart of software components and their interactions (Abstract! No implementation details!)
possibly UI Concept / Mockups

It may be helpful to illustrate and / or explain abstract concepts using examples throughout this section (and possibly also afterwards). If you include examples, try to employ a consistent \textbf{running example} throughout the entire text to make it easier for the reader to follow along!

To reiterate the general remarks:
\begin{compactitem}
	\item Employ figures to support comprehensibility and shorten your textual descriptions.
	\item Use typography, listings, enumerations, itemizations and math mode to help structure your text.
	\item Employ formalization and abstraction to clearly separate concept and implementation.
\end{compactitem}